<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from moc_null.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="moc_null" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>moc_null</refname>
    <refpurpose>Return an orthonormal basis of the null space of A.</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   retval = moc_null (A)
   retval = moc_null (A, tol)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Description</title>
   <para>
The dimension of the null space is taken as the number of singular
values of A not greater than TOL.  If the argument TOL is missing,
it is computed as
max (size (A)) * max (svd (A)) * eps
</para>
</refsection>
</refentry>
